Ogre::OSXContext Class Reference

Class that encapsulates an GL context. More...

`#include <OgreOSXContext.h>`

Inheritance diagram for Ogre::OSXContext:
[legend]

List of all members.

## Public Member Functions

| OSXContext ()
virtual | ~OSXContext ()
virtual void | setCurrent ()=0
| See GLContext.
virtual void | endCurrent ()=0
| This is called before another context is made current.
virtual GLContext * | clone () const =0
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
virtual String | getContextType ()=0
| Return the type of context currently assoiciated with this OSXContext, this is needed because OSX has several different types of contexts depending on the application needs.
bool | getInitialized ()
void | setInitialized ()
virtual void | releaseContext ()
| Release the render context.

## Protected Member Functions

void | _unregisterContext ()
| Must be called from destructor of final descendant.

## Protected Attributes

bool | initialized

## Detailed Description

Class that encapsulates an GL context.

(IE a window/pbuffer). This is a virtual base class which should be implemented in a GLSupport. This object can also be used to cache renderstate if we decide to do so in the future.

Definition at line 41 of file OgreOSXContext.h.

## Constructor & Destructor Documentation

Ogre::OSXContext::OSXContext | ( |  | ) |

virtual Ogre::OSXContext::~OSXContext | ( |  | ) | `[virtual]`

## Member Function Documentation

void Ogre::OSXContext::_unregisterContext | ( |  | ) | `[protected]`

Must be called from destructor of final descendant.

virtual GLContext* Ogre::OSXContext::clone | ( |  | ) | const`[pure virtual]`

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note:
  The caller is responsible for deleting the returned context.

Implements Ogre::GLContext.

Implemented in Ogre::OSXCarbonContext, Ogre::OSXCGLContext, and Ogre::OSXCocoaContext.

virtual void Ogre::OSXContext::endCurrent | ( |  | ) | `[pure virtual]`

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GLContext.

Implemented in Ogre::OSXCarbonContext, Ogre::OSXCGLContext, and Ogre::OSXCocoaContext.

virtual String Ogre::OSXContext::getContextType | ( |  | ) | `[pure virtual]`

Return the type of context currently assoiciated with this OSXContext, this is needed because OSX has several different types of contexts depending on the application needs.

Note:
  Return value will be "AGL", "CGL", or "NSOpenGL" accordingly.

Implemented in Ogre::OSXCarbonContext, Ogre::OSXCGLContext, and Ogre::OSXCocoaContext.

bool Ogre::GLContext::getInitialized | ( |  | ) | `[inherited]`

Definition at line 57 of file OgreGLContext.h.

virtual void Ogre::GLContext::releaseContext | ( |  | ) | `[virtual, inherited]`

Release the render context.

Reimplemented in Ogre::Win32Context.

Definition at line 69 of file OgreGLContext.h.

virtual void Ogre::OSXContext::setCurrent | ( |  | ) | `[pure virtual]`

See GLContext.

Implements Ogre::GLContext.

Implemented in Ogre::OSXCarbonContext, Ogre::OSXCGLContext, and Ogre::OSXCocoaContext.

void Ogre::GLContext::setInitialized | ( |  | ) | `[inherited]`

Definition at line 58 of file OgreGLContext.h.

## Member Data Documentation

bool Ogre::GLContext::initialized`[protected, inherited]`

Definition at line 71 of file OgreGLContext.h.

The documentation for this class was generated from the following file:

- OgreOSXContext.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:54